Page MenuHomePhabricator

[Task] Release Wikibase DataModel Serialization 3.0.0
Closed, DeclinedPublic

Description

The braking change in this release allows us to construct serializer and deserializer factories that hold knowledge about all (custom) entity types, including MediaInfo and Lexeme. This is more for convenience than anything else because there is currently an (ugly) workaround in place. The new feature allows us to simplify code where an Entity(De)Serializer and a (De)SerializerFactory are passed as two independent parameters.

The 3.0.0 milestone on GitHub: https://github.com/wmde/WikibaseDataModelSerialization/milestone/8

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2017, 1:02 PM
thiemowmde triaged this task as Low priority.Feb 13 2017, 1:02 PM
thiemowmde added a project: Patch-For-Review.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde updated the task description. (Show Details)Feb 16 2017, 1:15 PM
thiemowmde moved this task from Doing to Proposed on the Wikidata-Former-Sprint-Board board.
thiemowmde closed this task as Declined.Mar 7 2017, 5:12 PM